let labels = []

$.ajax({
  url: "rest_api/get_prize.php?",
  type: 'GET',
  async: false,
  dataType: 'json', // added data type
  success: function(res) {
    for (let index = 0; index < res.length; index++) {
      const element = res[index];
      labels.push(element)
    }
  }
});

// Create new wheel object specifying the parameters at creation time.
let theWheel = new Winwheel({
  numSegments: 8, // Specify number of segments.

  outerRadius: 202, // Set radius to so wheel fits the background.
  innerRadius: 40, // Set inner radius to make wheel hollow.
  textFontSize: 20.909090909091, // Set font size accordingly.
  textMargin: 0, // Take out default margin.
  // Define segments including colour and text.
  segments: [
    {
      fillStyle: "#fc9317",
      textFillStyle: "#ffffff",
      text: labels[0].value, //Zonk
      size: winwheelPercentToDegrees(12.5),
    },

    {
      fillStyle: "#fdb51d",
      textFillStyle: "#ffffff",
      text: labels[1].value,
      size: winwheelPercentToDegrees(12.5),
    },

    {
      fillStyle: "#26b5fd",
      textFillStyle: "#ffffff",
      text: labels[2].value,//lowP1=5Point
      size: winwheelPercentToDegrees(12.5),
    },

    {
      fillStyle: "#e00d61",
      textFillStyle: "#ffffff",
      text: labels[3].value,//nP1=1JT
      size: winwheelPercentToDegrees(12.5),
    },

    {
      fillStyle: "#5818df",
      textFillStyle: "#ffffff",
      text: labels[4].value,//lowP2=10Point
      size: winwheelPercentToDegrees(12.5),
    },

    {
      fillStyle: "#09ac82",
      textFillStyle: "#ffffff",
      text: labels[5].value,
      size: winwheelPercentToDegrees(12.5),
    },

    {
      fillStyle: "#929292",
      textFillStyle: "#ffffff",
      text: labels[6].value,//lowP3=20Point
      size: winwheelPercentToDegrees(12.5),
    },

    {
      fillStyle: "#fe3f17",
      textFillStyle: "#ffffff",
      text: labels[7].value,//nP4=30JT
      size: winwheelPercentToDegrees(12.5),
    },
  ],
  // Define spin to stop animation.
  animation: {
    type: "spinToStop",
    duration: 30,
    spins: 40,
    callbackFinished: alertPrize,
    
  },
});
function alertPrize(indicatedSegment) {
 
 if (indicatedSegment.text != "Zonk") {

  $(".win").show()
  
  Swal.fire({
    title: "Selamat",
    html: `<p>Anda Memenangkan Hadiah :${indicatedSegment.text}<br/> Silahkan Kontak Admin Untuk Menukarkan Kupon<\p>`,
   
    confirmButtonColor: "#77df77",
    confirmButtonText: "Tutup"
  }).then((result) => {
    if (result.isConfirmed) {
      $(".win").hide()
    
    }
  });
 }else{
 
 
  Swal.fire({
    title: "Maaf",
    text: "Kamu Belom Beruntung :(",
    confirmButtonColor: "rgb(245 80 105)",
    confirmButtonText: "Tutup"
  }).then((result) => {
    if (result.isConfirmed) {
  
    }
  });
 }

}
function spin_choice(deg){
  
  
  $("#spin").click(() => {
    theWheel.stopAnimation(false);  
    theWheel.rotationAngle = Math.floor((Math.random() * 360) + 1); // Mengatur Putaran Ke Awal
    theWheel.draw();
    theWheel.animation.stopAngle = deg.minDegree+5
    theWheel.startAnimation();
  })
}
$("#spin").click(() => {
  var check =localStorage.getItem("data");
  if (check) {
    var data = JSON.parse(check).degree
    var deg =  Math.floor(Math.random() * data.length);
    theWheel.stopAnimation(false);  
    theWheel.rotationAngle = Math.floor((Math.random() * 360) + 1); // Mengatur Putaran Ke Awal
    theWheel.draw();
    theWheel.animation.stopAngle = data[deg];
    theWheel.startAnimation();
    localStorage.removeItem("data");
    $.ajax({
      url: "rest_api/delete_kupon.php?apikey=admin&kupon="+JSON.parse(check).kupon,
      type: 'GET',
      async: false,
      dataType: 'json', // added data type
      success: function(res) {
       return 0
      }
    });
  }else{
    Swal.fire({
      icon: "error",
      title: "Oops...",
      text: "Silahkan Isi Kupon Terlebih Dahulu Untuk Memutar Roda",
    });
  }

})
$("#btn_cek_kupon").click( () => {
 
  var kupon = $('#kupon').val();
 
  $.get("rest_api/get_kupon.php?apikey=admin&kupon="+kupon, function(res, status){
   if (res.response == 200){

    Swal.fire({
      icon: "sucess",
      title: "Succes",
      text: "Kupon Berhasil Ditukar Untuk 1x Spin,Klik Tombol Spin Untuk Memutar Roda"
    });
    if (res.results.valid == "0" && res.results.chance == "1") {
      var get_deg = [0,20,140,170,319,350]
      localStorage.setItem("data",JSON.stringify({"kupon":res.results.kupon,
    "degree":get_deg}))
      
    }else if(res.results.valid == "0" && res.results.chance == "2"){
      var get_deg = [100,182]
      localStorage.setItem("data",JSON.stringify({"kupon":res.results.kupon,
    "degree":get_deg}))
      
    }else if(res.results.valid == "0" && res.results.chance == "3"){
      var get_deg = labels.findIndex(index => index.value == res.results.value)
      var deg = [labels[get_deg].minDegree,labels[get_deg].minDegree+29]
      localStorage.setItem("data",JSON.stringify({"kupon":res.results.kupon,
      "degree":deg}))
    }else{
      Swal.fire({
        icon: "error",
        title: "Error",
        text:"Kupon Tidak Valid / Expired"
      });
    }
   }else{
    Swal.fire({
      icon: "error",
      title: "Error",
      text: res.message
    });
   }
  });
})

$("#random_spin").click( () => {
  theWheel.stopAnimation(false);
    theWheel.rotationAngle =Math.floor((Math.random() * 360));   
    theWheel.draw();
})

$("#reset_spin").click( () => {
  theWheel.stopAnimation(false);
  theWheel.rotationAngle = 0  
    theWheel.draw();
})